[PARAMETER ASSIGN]

#######################################
#####通讯相关参数######################
#######################################
#	服务器地址
IP_ADDRESS=192.168.119.2
#	服务器端口
IP_PORT=8888
#	通讯方式 NO_NET 为脱机测试模式 TCPIP 为网络模式
NET_MODE=NO_NET
#	交易超时时间
TIME_OUT=60
#	管理类交易超时时间
QUICK_TIME_OUT=10

#######################################
#     CreditTrans接口相关
#######################################
#	
#	接口传入金额是否允许修改1修改，0不改
MOD_AMT=0
#	是否有退货专用接口（R），如果有，请设置为0
#	与撤销公用一个接口（D），请设置为1
HAVE_R_IF=1
#	传入接口格式，定长模式

#	接口内容，见《CreditTrans配置说明.txt》
STRIN_LEN=132
STRIN_NUM=4
STRIN_00=0010pos_no
STRIN_01=1010teller_no
STRIN_02=2001txn_flag
STRIN_03=2112tr_amt

#	传出（strout）
STROUT_NUM=18
STROUT_00=0002rc
STROUT_01=0019nomask_pan
STROUT_02=0001txn_flag
# 交易总金额=刷卡金额+优惠金额
STROUT_03=0012all_amt
STROUT_04=0006mer_systrace
STROUT_05=0003bank_no
STROUT_06=0012RRN
STROUT_07=0006auth_no
STROUT_08=0006batch_no
STROUT_09=0008tid
STROUT_10=0015mid
STROUT_11=0004txn_date
STROUT_12=0006txn_time
STROUT_13=0003pin_data
STROUT_14=0064space
STROUT_15=0024space
STROUT_16=0024space
STROUT_17=0096space

#######################################
#####文件路径设置######################
#######################################
#	临时文件目录
TMP_DIR=$HOME\gmc_data
#	密码键盘dll文件
PINPAD_DLL=$HOME\sppinpad.dll
#	刷卡dll的路径
TRK_DLL=$HOME\softpos2.dll
#	打印机dll路径
PRN_DLL=$HOME\softpos3.dll

#	打印模板文件
PRN_FORM=$HOME\prnform.ini
SET_FORM=$HOME\setform.ini

#	打印文件路径
PRN_FILE=$HOME\toprint.txt

#	重打印文件路径
PRN_BACK=$HOME\gmc_data\reprint.txt
#	重打结帐打印文件路径
SET_BACK=$HOME\gmc_data\setprint.txt
#	明细数据文件
DETAIL=$HOME\gmc_data\bankdetail.txt

#######################################
#####刷卡槽相关参数####################
#######################################
#	softpos0.dll控制卡槽设置为1，DLL外部刷卡改为0
STRIP_CARD=1
#	卡槽类型,SS-003（与密码键盘合一的卡槽）,KEYBOARD（普通键盘口卡槽）
#TRK_MODE=SS-101

#######################################
#####界面相关参数#####################
#######################################
#	刷卡后时候确认卡号1为确认0为跳过,此参数在STRIP_CARD=1有效
SHOW_PAN=1
#	是否显示交易状态
SHOW_STATUS=1
#	是否显示“是否输入密码”的对话框
SHOW_PASSWD=0
#	显示主界面的按钮
#           0123456789
SHOW_BUTTON=1000101100

#   隔日退货开放标志 1:开放 0:关闭
REFUND_OPEN = 1

#######################################
#####交易相关参数######################
#######################################
#	退货交易是否允许手输卡号
INPUTPAN8=0
#	预授权确认是否允许手输卡号
INPUTPAN6=0

INPUTPAN3=0

#	密码加密是否异或卡号
PIN_XOR=1
#	密码键盘输入超时
PIN_TIME_OUT=30
#	返回码为什么时，下笔交易自动重行签到，格式如A0,58填A058
RE_SIGNIN=A05899638788978189Z1Z2Z3

#	是否为中行MAC计算方式？
BOC_SYS=0


########################################
####以下参数和后台M_TCP_PORT相匹配######
########################################
#	传输时是否做磁道加密
ENC_TRACK=0
#	传输模式,0为c结构，1为字符串
str_data=0
#	新老txnid,0新 1老
OLD_VER_TAG=0
#	新老结构，0老 1新
OLD_STRU_TAG=1

#	后台加密方式 0软加密 1加密机 2密码键盘
#	此参数决定整包加密的主密钥 
#	为1则用密码键盘主密钥 2或0为软加密，默认为0
ENC_MODE=2
#	传输数据加密方式 1整包加密 0不整包加密
#	默认为
DATA_MODE=0

#	签到是否检查校验和（用于签到时就检查密钥是否正确）
#	1检查0不检查 默认0
CHECK_V=0

#	是否验证主管工号
#	撤销是否验证 1、验证 0、不验证，默认为0
TELLER03=0
#	退货是否验证 1、验证 0、不验证，默认为0
TELLER08=0

#######################################
#####密码键盘相关参数##################
#######################################
#	密码键盘类型 ， NO_PIN 为测试模式
PIN_MODE=NO_PIN
#	串口端口号
PIN_PORT=COM1
#	波特率
PIN_BAUD=115200
#	密钥索引
KEY_INDEX=4
#	3DES(1)模式
3DES=1
#	debug(1)模式
DEBUG=0
#	传出为ABCD(0)格式还是;?(1)模式
ABCD=0

#######################################
#####打印机相关参数####################
#######################################
#	打印机类型， NO_PRINT 为无打印机，
#	驱动打印为打印机名称(默认打印机填DEFAULT)
#	串口打印为COM?, 并口打印为 LPT?
PRINT_NAME=NO_PRINT
FONT_SIZE=10
PRINT_FONT_NAME=仿宋_GB2312


#######################################
#####打印单据联数######################
#######################################
#	打几联
PRN_COPY=2
#	切纸标志
PRN_CUTPAPER=
#	结尾空几行
PRN_BLANK=4

#	交易码打印
TXN02=消费/SALE
TXN03=消费撤销/VOID
TXN08=退货/REFUND

STXN16=POS签到
STXN21=交易一览
STXN18=POS结帐
STXN19=按流水号查询
STXN23=柜员签到
STXN20=总帐查阅

STXN02=消费
STXN03=消费撤销
STXN08=退货

#######################################
####结算单配置#########################
#######################################
SET_NUM=14
SET00=0040mer_name
SET01=0015mid
SET02=0008tid
SET03=0010pos_no
SET04=0010teller_no
SET05=0006batch_no
SET06=0040date_time
SET07=0006sale_cnt
SET08=0012sale_amt
SET09=0006refund_cnt
SET10=0015refund_amt
SET11=0006void_cnt
SET12=0012void_amt
SET13=0015sum_amt

SET_DETAIL_NUM=0
SET_DETAIL_00=901 VISA卡
SET_DETAIL_01=902 MC卡
SET_DETAIL_02=903 JCB卡
SET_DETAIL_03=904 大来卡
SET_DETAIL_04=905 运通卡

#######################################
####明细文件配置#######################
#######################################
#如:交易类型	卡号	交易金额	流水号
#TAB表示制表符 SPACE表示空格 其他直接显示
DETAIL_TITLE=序号 类型          卡号          金额         流水号   授权码 
DETAIL_CUT=SPACE
DETAIL_NUM=5
DETAIL00=0008txn_type_short
DETAIL01=0019mask_pan
DETAIL02=0010txn_amt
DETAIL03=0006mer_systrace
DETAIL04=0006auth_no

DETAIL_HEAD_LEN=3
DETAIL_HEAD00="            交易明细                "
DETAIL_HEAD01=类型             卡号       金额 
DETAIL_HEAD02=---------------------------------------

DETAIL_END_LEN=1
DETAIL_END00=----------------------------------------


#######################################
####签购单配置#########################
#######################################
#	签购单头和尾的固定信息设置
#
P0_HEAD_LEN=3
P0_HEAD00=.
P0_HEAD01="        中  国  银  行      "
P0_HEAD02=--商户存根---------MERCHANT COPY--
P0_END_LEN=2
P0_END00=持卡人签名:______________________
P0_END01=本人确认以上交易   同意记入此卡帐户


P1_HEAD_LEN=2
P1_HEAD00="          中   国   银   行         "
P1_HEAD01=--持卡人存根-----CARDHOLDER COPY--

P1_END_LEN=1
P1_END00=本人确认以上交易   同意记入此卡帐户



#为0则全部显示,为1则只按要求屏蔽外卡,为2则全部屏蔽
CARD_MASK=1
#为1则分段显示卡号，为0则连续显示
CARD_SPLIT=1
#为0则全部显示，为1则按要求屏蔽
EXP_MASK=0

PRN_NUM=16
PRN00=0040mer_name
PRN01=0015mid
PRN02=0008tid
PRN03=0010teller_no
PRN04=0010pos_no
PRN05=0012bank_name     
PRN06=0025pan
PRN07=0002exp_date
PRN08=0202exp_date
PRN09=0040txn_type
PRN10=0006batch_no
PRN11=0006mer_systrace
PRN12=0006auth_no
PRN13=0012RRN
PRN14=0040date_time
PRN15=0015txn_amt   

REP_FLAG=***重打印签购单***

#	备注内容打印
#	根据交易码有所不同
#	消费备注
RF02_NUM=1
RF02_00=$1120append_info

#	撤销备注
RF03_NUM=1
RF03_00=原凭证号:$0006invoice_no
#	退货备注
RF08_NUM=0
#	分期付款
RF14_NUM=5
RF14_00=首付金额:$0015fq_first
RF14_01=月付金额:$0015fq_month
RF14_02=手 续 费:$0015fq_discount
RF14_03=期    数:$0002trk3
RF14_04=计 划 号:$0204trk3

#	分期付款取消
RF15_NUM=0
RF04_NUM=0
RF05_NUM=0
RF06_NUM=0
RF07_NUM=0

#	是否支持分期付款交易(中行/农行)
#	0不支持 1支持 
BOC_FQ=0

#	分期选择，如果FQ_NUM设置为0，则手工输入
#	如果选1，则计划号填，期数填03；
#	如果选2，则计划号填IP08，期数填06；
#	如果选3，则计划号填IP10，期数填09；
#	如果选4，则计划号填IP03，期数填12；

FQ_NUM=4
#	选择的列表
FQ00=三个月
FQ01=六个月
FQ02=九个月
FQ03=十二个月
#	期数
QS00=03
QS01=06
QS02=09
QS03=12
#	计划号(农行计划号是8位,叫分期标识)
JHH00=IP01
JHH01=IP08
JHH02=IP10
JHH03=IP03


#	20090819 for TITLE显示
SHOW_TITLE=APP_SOFTPOS


